<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>

	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>

		<section>
								<!-- start of table -->
	<h2>HTML Entities</h2>
	<p><em>Reserve characters in HTML (e.g &lt; or &gt;characters that can mix up with HTML code).</em></p>

<!-- pra mkacreate ng table -->
	<table border="1">
		<!-- thead use to group table header content -->
		<thead >
			<!-- tr it defines a table row -->
			<tr>
				<!-- th table header element -->
				<!-- colspan attribute it changes the amount of columns a table element will occupy -->
				<th colspan="2">Entity</th>
				<th>Description</th>

			</tr>
		</thead>
		<!-- tbody used to group table body content -->
		<!-- td tble data -->
			<tbody>
				<tr>
					<td>&lt;</td>
					<td>gt</td>
					<td>less than</td>
				</tr>
				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>
				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>pesos sign</td>
				</tr>
				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>ampersand</td>
				</tr>
				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>double quotation mark</td>
				</tr>
				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>single quotation mark (apostrophe)</td>
				</tr>
				<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>Lower Tilde</td>
				</tr>
				<tr>
					<td>&Ntilde;</td>
					<td>Ntilde</td>
					<td>Upper Tilde</td>
				</tr>
			</tbody>
	</table>

<!-- end of table -->
		</section>
		
	<section>


<!-- start of form -->
	<h2>HTML Forms</h2>
	<p><em>Input elements that make up a form</em></p>
<!-- form = cfeates html form  to capture user input-->

	<form action="https://google.com">
		
		
		<label for="full_name">Full Name:</label><br>
		<input type="text" name="full_name" id="full_name" required autocomplete><br><br>

		<label for="birth_date">Birth Date:</label><br>
		<input type="date" name="birth_date" id="birth_date" required><br>

		<label for="age">Age:</label>
		<input type="number" name="age" id="age" required><br>

		<label for="gender">Gender:</label>
		<!-- creates a dropdown menu -->
		<select name="gender" id="gender">
			<option value="Male">Male</option>
			<option value="Female">Female</option>
		</select><br><br>

		<label for="notes">Notes:</label><br>
		<textarea name="notes" rows="5" id="notes"></textarea><br><br>

		<!-- radio buttons -->

		<label>New User:</label><br>
		<input type="radio" name="new_user" id="user-type1" value="yes">
		<label for="suer-type1">Yes</label><br>

		<input type="radio" name="new_user" id="user-type1" value="yes">
		<label for="suer-type2">Note</label><br>


		<!-- checkbox -->
		<label>Role:</label><br>
		<input type="checkbox" name="role1" id="role1" value="developer">
		<label for="role1">Developer</label><br>

		<input type="checkbox" name="role2" id="role2" value="student">
		<label for="role2">Student</label><br>

		<input type="checkbox" name="role3" id="role3" value="manager">
		<label for="role3">Manager</label><br><br>



		<button type= "submit">Submit</button>
		<button type="reset">Reset</button>



	</form>

<!-- end of form -->
		</section>
		


	</main>
	

</body>
</html>